> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 招待を一覧表示

> アカウント招待を一覧表示

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json GET /v1/public/accounts/{account_id}/auth/invitations
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/invitations:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: アカウント招待を一覧表示
      description: アカウントスコープの招待を一覧表示します。
      operationId: >-
        list_public_account_invitations_v1_public_accounts__account_id__auth_invitations_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: email
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Email
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/InviteResponse'
                title: >-
                  Response List Public Account Invitations V1 Public Accounts 
                  Account Id  Auth Invitations Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    InviteResponse:
      properties:
        accepted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: 承諾日時
        accepted_subject_id:
          anyOf:
            - type: string
            - type: 'null'
          title: 承諾サブジェクト ID
        assignments:
          items:
            $ref: '#/components/schemas/InvitationAssignmentResponse'
          title: 割り当て
          type: array
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: 作成日時
        email:
          title: メール
          type: string
        expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: 有効期限日時
        id:
          format: uuid
          title: ID
          type: string
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: メモ
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        status:
          title: ステータス
          type: string
      required:
        - id
        - email
        - status
        - assignments
        - permission_context
      title: InviteResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    InvitationAssignmentResponse:
      description: 招待応答内の単一の権限割り当てのスキーマ。
      properties:
        assignment_kind:
          title: 割り当ての種類
          type: string
        capability_key:
          anyOf:
            - type: string
            - type: 'null'
          title: ケイパビリティキー
        grant_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: 付与の種類
        group_id:
          anyOf:
            - type: string
            - type: 'null'
          title: グループ ID
        id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: ID
        position:
          title: 位置
          type: integer
        resource_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: リソース ID
        resource_type:
          anyOf:
            - type: string
            - type: 'null'
          title: リソースタイプ
        role_key:
          anyOf:
            - type: string
            - type: 'null'
          title: 役割キー
      required:
        - assignment_kind
        - position
      title: 招待割り当てレスポンス
      type: object
    PermissionInspectabilitySnapshot:
      description: ユーザー、グループ、および招待状の管理のための共有検査可能性スナップショット。
      properties:
        assigned_bundle_keys:
          items:
            type: string
          title: 割り当て済みバンドルキー
          type: array
        direct_capability_keys:
          items:
            type: string
          title: 直接ケイパビリティキー
          type: array
        owner_assignments:
          items:
            $ref: '#/components/schemas/OwnerAssignmentSnapshot'
          title: 所有者割り当て
          type: array
        resolved_capability_keys:
          items:
            type: string
          title: 解決済みケイパビリティキー
          type: array
        status:
          default: active
          title: ステータス
          type: string
        subject_id:
          default: ''
          title: サブジェクト ID
          type: string
        subject_type:
          default: unknown
          title: サブジェクトタイプ
          type: string
      title: 権限InspectabilitySnapshot
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
    OwnerAssignmentSnapshot:
      description: アカウント所有者の関係を示すスキーマ。
      properties:
        account_id:
          format: uuid
          title: アカウントID
          type: string
      required:
        - account_id
      title: Owner割り当てSnapshot
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````